Mario 25th aniversary dsi xl w/1.4e firmware work for ds two?

Discussion in 'NDS - Flashcarts and Accessories' started by Tzosin, Dec 10, 2010.

  1. Tzosin
    OP

    Tzosin Member

    Newcomer
    1
    Dec 9, 2010
    Kent
    Hey guys,

    I just bought a dsi xl mario 25th anniversary edition and it came bundled with 1.4e firmware I have also bought a dstwo as i used to use dslite+m3 simply (woodr4)

    I am worried now that nintendo have made firmware for this mario edition so that it will brick my dsi n flash cart wont work.

    could i have someone verify if dsi xl 1.4e + dstwo when i've updated to 1.07 i think it is will work.

    thanks really appreciate it

    Tzosin
     
  2. RupeeClock

    RupeeClock Colors 3D Snivy!

    Member
    7
    May 15, 2008
    You don't need to flash the DStwo, all you need to do is put the latested firmware on your DStwo, and you're set.

    DStwo current firmware supports DSi 1.4.1.
     
  3. Tzosin
    OP

    Tzosin Member

    Newcomer
    1
    Dec 9, 2010
    Kent
    does this mean i can update my dsi official firmware so dsi shop is avaliable?

    thank you for your help [​IMG]
    really appreciate it
     
  4. RupeeClock

    RupeeClock Colors 3D Snivy!

    Member
    7
    May 15, 2008
    That's right, you can update your DSi to 1.4.1 and enjoy both the DSi Shop, and your DStwo. [​IMG]
     
  5. Tzosin
    OP

    Tzosin Member

    Newcomer
    1
    Dec 9, 2010
    Kent
    thank you soo much for your help [​IMG]
    kept looking at different posts but was still lost.
     
  6. ShadowSoldier

    ShadowSoldier GBAtemp Guru

    Member
    12
    Oct 8, 2009
    Canada
  7. zizer

    zizer GBAtemp Addict

    Member
    2
    Aug 23, 2010
    I have the same set of dsi mario + dstwo. It is a good choice
     
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice